# Uses of Class
jdk.jfr.EventFactory

Packages that use EventFactory
Package
Description
jdk.jfr
This package provides classes to create events and control Flight Recorder.

## Uses of EventFactory in jdk.jfr

Methods in jdk.jfr that return EventFactory
Modifier and Type
Method
Description
`static EventFactory`
EventFactory.`create​(List<AnnotationElement> annotationElements, List<ValueDescriptor> fields)`
Creates an `EventFactory` object.